Fails to turn on debug log level in Prosody 0.9.10

I installed the latest jitsi-meet and tried to change log level in prosody from info to debug and got the following error in /var/log/prosodoy/prosody.log

Is it a bug in Prosody or is the way to change to debug level wrong?

Thanks,

/Kaiduan

Aug 28 09:52:17 Aug 28 09:52:17 mod_c2s error Traceback[c2s]: /usr/lib/prosody/core/loggingmanager.lua:262: bad argument #3 to ‘format’ (string expected, got nil)
stack traceback:
[C]: in function ‘format’
/usr/lib/prosody/core/loggingmanager.lua:262: in function ‘?’
/usr/lib/prosody/util/logger.lua:48: in function </usr/lib/prosody/util/logger.lua:46>
(tail call): ?
(tail call): ?
…jitsi-meet/prosody-plugins/mod_muc_domain_mapper.lua:90: in function ‘?’
/usr/lib/prosody/util/filters.lua:24: in function ‘filter’
/usr/lib/prosody/core/sessionmanager.lua:35: in function ‘send’
/usr/lib/prosody/modules/mod_saslauth.lua:282: in function ‘?’
/usr/lib/prosody/util/events.lua:67: in function </usr/lib/prosody/util/events.lua:63>

[C]: in function ‘parse’
/usr/lib/prosody/util/xmppstream.lua:255: in function ‘feed’
/usr/lib/prosody/modules/mod_c2s.lua:230: in function ‘data’
/usr/lib/prosody/modules/mod_c2s.lua:252: in function </usr/lib/prosody/modules/mod_c2s.lua:249>
(tail call): ?
/usr/lib/prosody/net/server_select.lua:867: in function </usr/lib/prosody/net/server_select.lua:849>
[C]: in function ‘xpcall’
/usr/lib/prosody/…/…/bin/prosody:376: in function ‘loop’
/usr/lib/prosody/…/…/bin/prosody:407: in main chunk
[C]: ?

The log level is changed to debug in /etc/prosody/prosody.cfg.lua

log = {
– Log files (change ‘info’ to ‘debug’ for debug logs):
debug = “/var/log/prosody/prosody.log”;
error = “/var/log/prosody/prosody.err”;
– Syslog:
{ levels = { “error” }; to = “syslog”; };
}

root@kxie-Inspiron-3656:~# prosodyctl about
Prosody 0.9.10

Prosody directories

Data directory: /var/lib/prosody
Plugin directory: /usr/share/jitsi-meet/prosody-plugins/;/usr/lib/prosody/modules/
Config directory: /etc/prosody
Source directory: /usr/lib/prosody

Lua environment

Lua version: Lua 5.1

Lua module search paths:
/usr/lib/prosody/?.lua
/usr/local/share/lua/5.1/?.lua
/usr/local/share/lua/5.1/?/init.lua
/usr/local/lib/lua/5.1/?.lua
/usr/local/lib/lua/5.1/?/init.lua
/usr/share/lua/5.1/?.lua
/usr/share/lua/5.1/?/init.lua

Lua C module search paths:
/usr/lib/prosody/?.so
/usr/local/lib/lua/5.1/?.so
/usr/lib/x86_64-linux-gnu/lua/5.1/?.so
/usr/lib/lua/5.1/?.so
/usr/local/lib/lua/5.1/loadall.so

LuaRocks: Not installed

Lua module versions

lfs: LuaFileSystem 1.6.3
lxp: LuaExpat 1.3.0
pposix: 0.3.6
socket: LuaSocket 3.0-rc1
ssl: 0.5.1

Well, not sure where is the problem … as it points to the prosody/core/loggingmanager.lua
But you better update using prosody 0.11.

@damencho How to use prosody 0.11 with existing jitsi-meet? I am on Ubuntu 16.04.5 LTS

This may help: